Attribute VB_Name = "CPICVB"
'------------------------------------------------------------------------------------------
'conversation_security_type values
'------------------------------------------------------------------------------------------
Public Const CM_SECURITY_NONE As Long = 0
Public Const CM_SECURITY_SAME As Long = 1
Public Const CM_SECURITY_PROGRAM As Long = 2
Public Const CM_SECURITY_DISTRIBUTED As Long = 3
Public Const CM_SECURITY_MUTUAL As Long = 4
Public Const CM_SECURITY_PROGRAM_STRONG As Long = 5

'------------------------------------------------------------------------------------------
'sync_level values
'------------------------------------------------------------------------------------------
Public Const CM_NONE As Long = 0
Public Const CM_CONFIRM As Long = 1
Public Const CM_SYNC_POINT As Long = 2
Public Const CM_SYNC_POINT_NO_CONFIRM As Long = 3

'----------------------------------------------------------------------------------*
' Set_Conversation_Security_Password (CMSCSP)
'           ConvID              - conversation ID
'           SecurityPassword    - the password value
'           SecurityPasswordLength - length of the SecurityPassword
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMSCSP Lib "WCPIC32.DLL" Alias "cmscsp" (ByRef ConvID As Any, _
                                                    ByVal SecurityPassword As String, _
                                                          SecurityPasswordLength As Long, _
                                                          ReturnCode As Long)
         
   
'----------------------------------------------------------------------------------*
' Set_Conversation_Security_User_ID (CMSCSU)
'           ConvID              - conversation ID
'           SecurityUserID      - the user ID value
'           SecurityUserIDLength - length of the SecurityUserID
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMSCSU Lib "WCPIC32.DLL" Alias "cmscsu" (ByRef ConvID As Any, _
                                                        ByVal SecurityUserID As String, _
                                                        SecurityUserIDLength As Long, _
                                                        ReturnCode As Long)
                                 
'----------------------------------------------------------------------------------*
' Set_Conversation_Security_Type (CMSCST)
'           ConvID              - conversation ID
'           ConvSecurityType    - the conversation security type value
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMSCST Lib "WCPIC32.DLL" Alias "cmscst" (ByRef ConvID As Any, _
                                                          ConvSecurityType As Long, _
                                                          ReturnCode As Long)
               
'----------------------------------------------------------------------------------*
' Set_Mode_Name (CMSMN)
'           ConvID              - conversation ID
'           ModeName            - the mode name to be used
'           ModeNameLength      - length of ModeName
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMSMN Lib "WCPIC32.DLL" Alias "cmsmn" (ByRef ConvID As Any, _
                                                  ByVal ModeName As String, _
                                                        ModeNameLength As Long, _
                                                        ReturnCode As Long)

'----------------------------------------------------------------------------------*
' Set_Sync_Level (CMSSL)
'           ConvID              - conversation ID
'           SyncLevel           - sync level characteristic
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMSSL Lib "WCPIC32.DLL" Alias "cmssl" (ByRef ConvID As Any, _
                                                        SyncLevel As Long, _
                                                        ReturnCode As Long)
                       
'----------------------------------------------------------------------------------*
' Set_Partner_LU_Name (CMSPLN)
'           ConvID              - conversation ID
'           PartnerLUName       - the partner LU name to be used
'           PartnerLUNameLength - length of PartnerLUName
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMSPLN Lib "WCPIC32.DLL" Alias "cmspln" (ByRef ConvID As Any, _
                                                    ByVal PartnerLUName As String, _
                                                          PartnerLUNameLength As Long, _
                                                          ReturnCode As Long)
                                 
'----------------------------------------------------------------------------------*
' Set_TP_Name (CMSTPN)
'           ConvID              - conversation ID
'           TPName              - the transaction program name to be used
'           TPNameLength        - length of TPName
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMSTPN Lib "WCPIC32.DLL" Alias "cmstpn" (ByRef ConvID As Any, _
                                                    ByVal TPName As String, _
                                                          TPNameLength As Long, _
                                                          ReturnCode As Long)

'----------------------------------------------------------------------------------*
' Flush (CMFLUS)
'           ConvID              - conversation ID
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMFLUS Lib "WCPIC32.DLL" Alias "cmflus" (ByRef ConvID As Any, _
                                                          ReturnCode As Long)
                     
'----------------------------------------------------------------------------------*
' Initialize_Conversation (CMINIT)
'           ConvID              - conversation ID
'           SymDestName         - symbolic destination name
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub cminit Lib "WCPIC32.DLL" (ByRef ConvID As Any, ByVal SymDestName _
                                                    As String, ReturnCode As _
                                                          Long)
                               
'----------------------------------------------------------------------------------*
' Allocate (CMALLC)
'           ConvID              - conversation ID
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMALLC Lib "WCPIC32.DLL" Alias "cmallc" (ByRef ConvID As Any, _
                                                          ReturnCode As Long)

'----------------------------------------------------------------------------------*
' Confirm (CMCFM)
'           ConvID              - conversation ID
'           ControlInfoReceived - specifies whether or not control
'                                   information was received
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMCFM Lib "WCPIC32.DLL" Alias "cmcfm" (ByRef ConvID As Any, _
                                                        ControlInfoReceived As Long, _
                                                        ReturnCode As Long)
                       
'----------------------------------------------------------------------------------*
' Confirmed (CMCFMD)
'           ConvID              - conversation ID
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMCFMD Lib "WCPIC32.DLL" Alias "cmcfmd" (ByRef ConvID As Any, _
                                                          ReturnCode As Long)

'----------------------------------------------------------------------------------*
' Send_Data (CMSEND)
'           ConvID              - conversation ID
'           Buffer              - data buffer
'           SendLength          - size of Buffer
'           ControlInfoReceived - specifies whether or not control
'                                   information was received
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMSEND Lib "WCPIC32.DLL" Alias "cmsend" (ByRef ConvID As Any, _
                                                     ByRef Buffer As Any, _
                                                          SendLength As Long, _
                                                          ControlInfoReceived As Long, _
                                                          ReturnCode As Long)

'----------------------------------------------------------------------------------*
' Receive (CMRCV)
'           ConvID              - conversation ID
'           Buffer              - data buffer
'           RequestedLength     - maximum amount of data to receive
'           DataReceived        - specifies whether or not data was
'                                   received
'           ReceivedLength      - amount of data received
'           StatusReceived      - conversation status
'           ControlInfoReceived - specifies whether or not control
'                                   information was received
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMRCV Lib "WCPIC32.DLL" Alias "cmrcv" (ByRef ConvID As Any, _
                                                   ByVal Buffer As String, _
                                                        RequestedLength As Long, _
                                                        DataReceived As Long, _
                                                        ReceivedLength As Long, _
                                                        StatusReceived As Long, _
                                                        ControlInfoReceived As Long, _
                                                        ReturnCode As Long)
                                      
'----------------------------------------------------------------------------------*
' Convert_Incoming (CMCNVI)
'           Buffer              - buffer to be converted
'           BufferLength        - number of characters of buffer
'                                   to be converted
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMCNVI Lib "WCPIC32.DLL" Alias "cmcnvi" (ByVal Buffer As String, _
                                                          BufferLength As Long, _
                                                          ReturnCode As Long)

'----------------------------------------------------------------------------------*
' Convert_Outgoing (CMCNVO)
'           Buffer              - buffer to be converted
'           BufferLength        - number of characters of buffer
'                                   to be converted
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMCNVO Lib "WCPIC32.DLL" Alias "cmcnvo" (ByVal Buffer As String, _
                                                          BufferLength As Long, _
                                                          ReturnCode As Long)
                        
'----------------------------------------------------------------------------------*
' Deallocate (CMDEAL)
'           ConvID              - conversation ID
'           ReturnCode          - return code
'----------------------------------------------------------------------------------*
Declare Sub CMDEAL Lib "WCPIC32.DLL" Alias "cmdeal" (ByRef ConvID As Any, _
                                                          ReturnCode As Long)
                     

'----------------------------------------------------------------------------------*

